Subject: [LONG] Re: Hitoshi Doi and Excel saga?
From: "Tenchiken" <[email-masked]>
To: <[email-masked]>
Date: Wed, 31 May 2000 20:50:52 -0600

> ok, what the hell is Excel saga? this page claims Hitoshi Doi (our hitoshi
> doi?) says that one of the eppisodes is the funniest thing hes ever seen.
> Whatever the hell the download i got was made no sense.. some dog singing
> with salt being poured on him? and the main picture has a chick eating a
> banana.. WTF is this? =P

Excel Saga is _awesome_. It took 10 odd years before something
passed A-Ko as the greatest spoof anime, but it definitly leaves
A-Ko in the dust.

It is done by one of the guys who also worked on Kodocha. And
it shows.

The main storyline is the Organization ACROSS, which is trying
to take over the world. Iparatsu-Sama is the evil lord wannabe.
(Imagine Kagato), he is also many times bored with trying to
take over the world, and takes time to try and learn rock guitar.

The Main character (Excel) is voiced by Misato/Mink/Sailer Moon's
VA. (And boy does she have fun w/ the role). She plays the typical
Anime heroine. Far too high energy (esp around Iparatsu), Always Genki,
etc. The main villians in the first two episodes are evil beings who use
their cuteness as their primary weapon. (think the Pochi's from Photon, but
cuter).

Hyatt-chan is some sort of alian princess (or maybe a earth girl who
was taken away by the alians) and has now returned to work for
Across. She is eternally sick.

Misaki-sama (I will start a shrine to Misaki-sama soon), rocks as well.
Trying
to save the world from the clutches of the evil Across.

Oh yeah. the "Will of the Universe" (also known as fate-chan) is around.
This
is why Excel can be killed 5 times in the first episode. She looks like a
little universe
floating in air w/ arms.

There is also poor pedro, a Mexican worker who is in Japan working to help
feed
his family. Pedro is the primary angst device, but has little to do with the
outside
story (with one exception so far).

The director and the Mangaka both have their own characters in the Anime.
The
director sports a fro which he can pull massive amounts of weapons and
ammuinition
out of. He always has a friend who dies at some point in the episode. He
also seems
to have known both Hyatt and Iparatsu. There are also the three roomates
next door
who seem helplessly smitten with either Hyatt or Misaki. (They start working
for Misaki).

Excel Saga does not know how to subtly do anything. Here is a quick list
(off the top
of my head) of things that get parodied in the first 12 episodes.

- Anime and Manga in General.
- UY
- Dating Games (This episode still has me in stiches)
- The Matrix
- Titanic
- Star Wars
- Benji - Whatever thoose other dog movies are.
- Battle Athletes
- Any apocalyptic anime involving water ever.
- Bowling.
- Baseball Anime's.
- Galaxy Express 999 (gah. This one was about as subtle as a 2x4 beam to the
face).
- Rambo
- Terminator
- Aliens (wahahahaahahaha).

Suffice it to say that it is my new favorite wacky anime.